package org.eclipse.glsp.example.javaemf.handler.DiNeROS;

import com.google.inject.Inject;
import org.eclipse.emf.common.command.Command;
import org.eclipse.emf.common.command.CompoundCommand;
import org.eclipse.glsp.example.javaemf.model.ExtendedModelState;
import org.eclipse.glsp.example.javaemf.operation.SetInputSignalOperation;
import org.eclipse.glsp.server.emf.EMFOperationHandler;

import java.util.Optional;

public class SetInputSignalHandler extends EMFOperationHandler<SetInputSignalOperation> {

    @Inject
    protected ExtendedModelState modelState;


    @Override
    public Optional<Command> createCommand(SetInputSignalOperation operation) {
        modelState.getInputSignalValues().put(operation.getInputSignalId(), operation.isValue());

        return Optional.of(new CompoundCommand());
    }
}
